[BUGFIX] Mark guzzlehttp/guzzle >= 6.5.0 as conflict 06/62606/3
authorBenni Mack <benni@typo3.org>
Thu, 12 Dec 2019 10:21:59 +0000 (11:21 +0100)
committerOliver Hader <oliver.hader@typo3.org>
Fri, 13 Dec 2019 10:51:43 +0000 (11:51 +0100)
Due to the INTL/ICU bug, which we
have seen on various places, Guzzle, which
does not cover our edge cases yet, ran
in the same issue as our Core versions earlier
in 2019.

See
https://github.com/guzzle/guzzle/issues/2448
https://github.com/guzzle/guzzle/pull/2454

For the time being, lets mark guzzle as
incompatible until Guzzle has solved the issue
and released a new version, so we can loosen
the conflict constraint.

Related: #87953
Resolves: #89904
Releases: master, 9.5, 8.7
Change-Id: If64fb9472d046f020c850cd0551beeaf78796b60
Reviewed-on: https://review.typo3.org/c/Packages/TYPO3.CMS/+/62606
Tested-by: TYPO3com <noreply@typo3.com>
Tested-by: Oliver Hader <oliver.hader@typo3.org>
Reviewed-by: Oliver Hader <oliver.hader@typo3.org>
composer.json
composer.lock
typo3/sysext/core/composer.json

index 45bb061..030469e 100644 (file)
@@ -92,6 +92,7 @@
        },
        "conflict": {
                "hoa/core": "*",
+               "guzzlehttp/guzzle": ">= 6.5.0",
                "phpdocumentor/reflection-docblock": ">= 4.3.2"
        },
        "provide": {
index 8f6404b..ef3b686 100644 (file)
@@ -4,7 +4,7 @@
         "Read more about it at https://getcomposer.org/doc/01-basic-usage.md#installing-dependencies",
         "This file is @generated automatically"
     ],
-    "content-hash": "849495c5f9338523ee9caeecb03741fc",
+    "content-hash": "49295a72bf4b2cda613861fea81568b3",
     "packages": [
         {
             "name": "cogpowered/finediff",
index c19e577..11f955f 100644 (file)
@@ -70,6 +70,7 @@
        },
        "conflict": {
                "hoa/core": "*",
+               "guzzlehttp/guzzle": ">= 6.5.0",
                "typo3/cms": "*"
        },
        "replace": {